- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::GUI::Fonts::CFontEnumerator Class Reference

List of all members.

## Detailed Description

Enumerates available system font.

Date:
  21/09/2004

Author:
  Paul Chana

Version:
  1.0.0 Initial version

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  CFontEnumerator.hpp,v 1.3 2007/02/08 21:07:54 paul Exp

Definition at line 39 of file CFontEnumerator.hpp.

## Public Member Functions

- CFontEnumerator ()
- bool fontExists (const CString &fontName)
- const TCountedPointerArray<
  CFontReference > * getFontArray () const
- TCountedPointerArray< CFontReference > * getMutableFontArray () const
- virtual ~CFontEnumerator ()

## Protected Member Functions

- void findFonts ()
- virtual long handleEnumerationEvent (ENUMLOGFONTEX *logFontEx, NEWTEXTMETRICEX *metric, int fontType)

## Static Protected Member Functions

- static long CALLBACK enumerateProcess (ENUMLOGFONTEX *logFontEx, NEWTEXTMETRICEX *metric, int fontType, LPARAM lParam)

## Protected Attributes

- TCountedPointerArray< CFontReference > * m_fontArray

## Constructor & Destructor Documentation

Exponent::GUI::Fonts::CFontEnumerator::CFontEnumerator | ( |  | ) |

Construction

virtual Exponent::GUI::Fonts::CFontEnumerator::~CFontEnumerator | ( |  | ) | `[virtual]`

Destruction

## Member Function Documentation

static long CALLBACK Exponent::GUI::Fonts::CFontEnumerator::enumerateProcess | ( | ENUMLOGFONTEX * | logFontEx,
|  | NEWTEXTMETRICEX * | metric,
|  | int | fontType,
|  | LPARAM | lParam |
| ) |  |  | `[static, protected]`

Enumerate the fonts

Parameters:

  | logFontEx | Windows ENUMLOGFONTEX
  | metric | Windows NEWTEXTMETRICEX
  | fontType | Windows type of font
  | lParam | The little byte parameter

Return values:

  | long | Windows specific

void Exponent::GUI::Fonts::CFontEnumerator::findFonts | ( |  | ) | `[protected]`

Find the fonts

bool Exponent::GUI::Fonts::CFontEnumerator::fontExists | ( | const CString & | fontName | ) |

Does the font exist

Parameters:

  | fontName | The name of the font

Return values:

  | bool | True if font is installed on system and available, false otherwise

const TCountedPointerArray<CFontReference>* Exponent::GUI::Fonts::CFontEnumerator::getFontArray | ( |  | ) | const`[inline]`

Get hte font list

Return values:

  | const | TCountedPointerArray<CFontReference> * The font array

Definition at line 65 of file CFontEnumerator.hpp.

References m_fontArray.

TCountedPointerArray<CFontReference>* Exponent::GUI::Fonts::CFontEnumerator::getMutableFontArray | ( |  | ) | const`[inline]`

Get the font list

Return values:

  | TCountedPointerArray<CFontReference> | * The font array

Definition at line 59 of file CFontEnumerator.hpp.

References m_fontArray.

virtual long Exponent::GUI::Fonts::CFontEnumerator::handleEnumerationEvent | ( | ENUMLOGFONTEX * | logFontEx,
|  | NEWTEXTMETRICEX * | metric,
|  | int | fontType |
| ) |  |  | `[protected, virtual]`

Handle the enumeration process

Parameters:

  | logFontEx | Windows ENUMLOGFONTEX
  | metric | Windows NEWTEXTMETRICEX
  | fontType | Windows type of font

Return values:

  | long | Windows specific

## Member Data Documentation

TCountedPointerArray<CFontReference>* Exponent::GUI::Fonts::CFontEnumerator::m_fontArray`[protected]`

The array of font elements

Definition at line 110 of file CFontEnumerator.hpp.

Referenced by getFontArray(), and getMutableFontArray().